Upload Multiple Application Files
curl --request POST \
--url https://api.lendflow.com/api/applications/{application_id}/files/multiple \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'files=[]'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/files/multiple"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"files\"\r\n\r\n[]\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('files', '[]');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.lendflow.com/api/applications/{application_id}/files/multiple', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"mime_type": "image/png",
"original_name": "6ff8f7f6-1eb3-3525-be4a-3932c805afed.png",
"file_url": "",
"file_type": null,
"file_size": 4914554,
"type": 5,
"has_metadata": false,
"created_at": null,
"updated_at": null,
"outcome": null,
"reason": null
},
{
"id": null,
"mime_type": "image/png",
"original_name": "62b13b25-7887-3a6d-933d-9f63b76646b2.png",
"file_url": "",
"file_type": null,
"file_size": 4126610,
"type": 5,
"has_metadata": false,
"created_at": null,
"updated_at": null,
"outcome": null,
"reason": null
}
]
}Documents
Upload Multiple Application Files
Uploads several files to an application in a single request. Each file is automatically categorized based on its contents.
POST
/
api
/
applications
/
{application_id}
/
files
/
multiple
Upload Multiple Application Files
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Body
multipart/form-data
Show child attributes
Show child attributes
Example:
[[]]
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"mime_type": "image/png",
"original_name": "6ff8f7f6-1eb3-3525-be4a-3932c805afed.png",
"file_url": "",
"file_type": null,
"file_size": 4914554,
"type": 5,
"has_metadata": false,
"created_at": null,
"updated_at": null,
"outcome": null,
"reason": null
},
{
"id": null,
"mime_type": "image/png",
"original_name": "62b13b25-7887-3a6d-933d-9f63b76646b2.png",
"file_url": "",
"file_type": null,
"file_size": 4126610,
"type": 5,
"has_metadata": false,
"created_at": null,
"updated_at": null,
"outcome": null,
"reason": null
}
]
Was this page helpful?